Subject: bug#78323: Regression in case-insensitive filename completion

From: Eli Zaretskii <[email-masked]>
Date: Mon, 12 May 2025 14:40:18 +0300

> From: Daniel Colascione <[email-masked]>
> Cc: Spencer Baugh <[email-masked]>,  Stefan Monnier
>  <[email-masked]>,  [email-masked]
> Date: Sun, 11 May 2025 20:24:46 -0700
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> >> From: Daniel Colascione <[email-masked]>
> >> Date: Thu, 08 May 2025 15:40:16 -0700
> >> 
> >> With read-file-name-completion-ignore-case true, commit
> >> 509cbe1c35b3dd005a53ac041f9c87ee53b8e115 breaks existing completion
> >> behavior.  Suppose we have file named fooBarQux.  Previously, if I'd
> >> typed "foobar" and TAB while reading a filename, then the completion
> >> would be "fooBarQux".  Now, it completes as "foobarQux", which is wrong
> >> and breaks, among other things, vc.
> >
> > Spencer, could you please look into fixing this regression?
> 
> What do you think of reverting this change while Spencer finds the cause
> of the problem?

I wouldn't mind, but then I don't use these features.  Let's hear
Stefan's opinion first.

Stefan?